/*
 * Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
 *
 */
#ifndef UKUILISTWIDGETITEM_H
#define UKUILISTWIDGETITEM_H

#include <QWidget>
#include <QLabel>
#include <QHBoxLayout>
#include <QPixmap>
#include <QString>
#include <QListWidgetItem>
#include <QPushButton>
#include "ukmedia_custom_class.h"

enum WidgetState{
    WIDGET_NORMAL_STATE,
    WIDGET_HOVER_STATE
};

class UkuiListWidgetItem : public QWidget
{
    Q_OBJECT

public:
    UkuiListWidgetItem(QWidget *parent = 0);
    ~UkuiListWidgetItem();

public:
    void setLabelText(QString portText,QString deviceLabel);
//    void setLabelTextIsWhite(bool selected);
    void setSelected(bool selected);
    void setButtonIcon(QString str);
    FixLabel *portLabel;
    QLabel *deviceLabel;
    UkuiMediaButton *deviceButton;

protected:
    void mousePressEvent(QMouseEvent *ev);
    void mouseReleaseEvent(QMouseEvent *e)override;
    void paintEvent(QPaintEvent *event);
    void enterEvent(QEvent *e);
    void leaveEvent(QEvent *e);

private:
    QWidget * widget;
    int state = WIDGET_NORMAL_STATE;
};

#endif // UKUILISTWIDGETITEM_H
